Current time: 09-25-2018, 05:19 AM Hello There, Guest! (LoginRegister)


Post Reply 
Fastcgi-2.4.SNAP + Error500
Author Message
pick Offline
Junior Member
*

Posts: 51
Joined: Jun 2008
Reputation: 1
Post: #11
RE: Fastcgi-2.4.SNAP + Error500
hi,

This is better for you, I'm very pleased that your problem is resolved

Pick
02-07-2009 06:50 PM
Visit this user's website Find all posts by this user Quote this message in a reply
menki Offline
Member
***

Posts: 643
Joined: May 2008
Reputation: 0
Post: #12
RE: Fastcgi-2.4.SNAP + Error500
i have installed you amd 64bit deb file and the fastcgi is runing without errors 500 now. but i have another problem now.

sometimes when i have 40- 55% cpu load then all sites are slow. with fastcgi 2.4.2 i dont have this problem. i have tried to set another settings in the webserver config and mysql server conf. but this solve the problem only for some hours/minutes.

you can visit http://www.menkisys.de/ or http://andraste.menkisys.net/ and check the speed and you can see the first page load ist very slow. the second pageload is aceptable. some users must wait about 5-6 seconds the view the FIRST site. surfing in the site is much better....

what setting i can try to solve this problem? With only 55% cpu load is this not normal.

can i have another deb version 2.4.6 or 2.4.5 to try ?

thanks

MENKI
02-09-2009 06:54 AM
Find all posts by this user Quote this message in a reply
pick Offline
Junior Member
*

Posts: 51
Joined: Jun 2008
Reputation: 1
Post: #13
RE: Fastcgi-2.4.SNAP + Error500
hi,

The version 2.4.3 or 2.4.6 are debian lenny is not stable release, and my releases is compiled for depends debian/etch is not an official stable release.
Show my config fastcgi_ispcp.conf

Code:
<IfModule mod_fastcgi.c>
     FastCgiWrapper On
        FastCgiIpcDir /var/lib/apache2/fastcgi2

         # FastCgiConfig -minProcesses 5 \
         #         -maxClassProcesses 20 \
          #        -multiThreshold 100 \
           #       -killInterval 60 \
            #      -startDelay 2 \
             #     -restart-delay 2 \
              #    -autoUpdate \
        #         -init-start-delay 1 \
        #         -processSlack 5 \
        ##        -maxProcesses 400 \
        #         -singleThreshold 100
                  #-updateInterval 100
                  #-maxProcesses 300 \

        FastCgiServer /var/www/fcgi/master/php5-fcgi-starter -user vu2000 -group vu2000 -idle-timeout 300

        #
        # PHP5 SUPPORT
        #

        AddHandler php-fastcgi .php .php5 .php4 .php3

        <Location /php5/php5-fcgi-starter>
                SetHandler fastcgi-script
                Options +ExecCGI
        </Location>

        Action php-fastcgi /php5/php5-fcgi-starter
        AddType application/x-httpd-php .php .php5 .php3 .php4
</IfModule>

and show my php5-fcgi-starter for master.

Code:
#!/bin/sh

umask 022

PHPRC="/var/www/fcgi/master/php5/"

export PHPRC
PHP_FCGI_CHILDREN=3
export PHP_FCGI_CHILDREN
PHP_FCGI_MAX_REQUESTS=200
export PHP_FCGI_MAX_REQUESTS

exec /usr/bin/php-cgi


I reduce the number of PHP_FCGI_MAX_REQUESTS and PHP_FCGI_CHILDREN to help stabilize the load cpu.

Pierrick
(This post was last modified: 02-09-2009 08:42 PM by pick.)
02-09-2009 08:31 PM
Visit this user's website Find all posts by this user Quote this message in a reply
menki Offline
Member
***

Posts: 643
Joined: May 2008
Reputation: 0
Post: #14
RE: Fastcgi-2.4.SNAP + Error500
i have removed the fastcgi 2.4.7 and i have installed the 2.4.2 version again. in the fcgi 2.4.7 i have 40% more cpu load and all sites are very slow. with fcgi 2.4.2 i have one error 500 in 3-4 hours....hmmm

this is my fastcgi_ispcp.conf

Code:
<IfModule mod_fastcgi.c>
        FastCgiWrapper On
        FastCgiIpcDir /var/lib/apache2/fastcgi2

        FastCgiConfig -minProcesses 1 \
                  -maxProcesses 400 \
                  -maxClassProcesses 6 \
                  -multiThreshold 80 \
                  -killInterval 60 \
                  -startDelay 5
                  # -singleThreshold 100 \
                  # -autoUpdate \
                  # -pass-header HTTP_AUTHORIZATION

        FastCgiServer /var/www/fcgi/master/php5-fcgi-starter -user vu2000 -group vu2000 -idle-timeout 300

        #
        # PHP5 SUPPORT
        #

        AddHandler php-fastcgi .php .php5

        <Location /php5/php5-fcgi-starter>
                SetHandler fastcgi-script
                Options +ExecCGI
        </Location>

        Action php-fastcgi /php5/php5-fcgi-starter
        AddType application/x-httpd-php .php .php5
</IfModule>

i can live with some daily errors and my network is fast and stable.

i have tried to setup:

-maxProcesses 600
-maxClassProcesses 12 \
-multiThreshold 100 \

but this not work. i have optimized the mysql tables with tunning-primer.sh script. i have modified in the apache.conf the max_connections and keepalive directives. nothing helps....

do you have another idea ?

thank you

MENKI
(This post was last modified: 02-09-2009 08:44 PM by menki.)
02-09-2009 08:40 PM
Find all posts by this user Quote this message in a reply
pick Offline
Junior Member
*

Posts: 51
Joined: Jun 2008
Reputation: 1
Post: #15
RE: Fastcgi-2.4.SNAP + Error500
I know the power of your server, fastcgi is greedy resource.
02-09-2009 09:02 PM
Visit this user's website Find all posts by this user Quote this message in a reply
menki Offline
Member
***

Posts: 643
Joined: May 2008
Reputation: 0
Post: #16
RE: Fastcgi-2.4.SNAP + Error500
we have posted on the same time.. Smile

thank you for you config posts.. i will try to use it.

ps: i will try the settings on another servers too... Smile

MENKI
02-09-2009 10:40 PM
Find all posts by this user Quote this message in a reply
menki Offline
Member
***

Posts: 643
Joined: May 2008
Reputation: 0
Post: #17
RE: Fastcgi-2.4.SNAP + Error500
hello ...

i have used fastcgi 2.4.2 under etch...this fastcgi version ist very stable and fast.
i have found many different fastcgi versions on fastcgi.com: http://www.fastcgi.com/dist/old/

but they are not deb files. do you have another deb fastcgi packages for lenny? 2.4.2 or 2.4.4 version that i can try??

i can downoad 2.4.2 version an compile it on my server under lenny. is this possible???

thank you

MENKI
(This post was last modified: 04-23-2009 05:24 AM by menki.)
04-23-2009 05:22 AM
Find all posts by this user Quote this message in a reply
BeNe Offline
Moderator
*****
Moderators

Posts: 5,899
Joined: Jan 2007
Reputation: 68
Post: #18
RE: Fastcgi-2.4.SNAP + Error500
Quote:i can downoad 2.4.2 version an compile it on my server under lenny. is this possible???
Yes, it is! You can also try to build your own Debian Package for later Updates or deinstall --> http://www.google.de/search?hl=de&q=crea...create+.de

Greez BeNe
04-23-2009 05:34 AM
Visit this user's website Find all posts by this user Quote this message in a reply
Ausinola Offline
Banned

Posts: 1
Joined: Oct 2011
Post: #19
RE: Fastcgi-2.4.SNAP + Error500
I think i can try to use FastCGI version for my Server.
______________________
I'm finding more useful samsung camera charger for my digital camera.
10-29-2011 11:55 AM
Find all posts by this user Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)